Bug 864003 - no feedback when starting uninstalled remote-viewer
no feedback when starting uninstalled remote-viewer
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.6.0
Assigned To: nobody nobody
Pavel Stehlik
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 06:17 EDT by Tomas Jamrisko
Modified: 2015-09-07 02:32 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-07 02:32:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Jamrisko 2012-10-08 06:17:45 EDT
Description of problem:
Uninstalling virt-viewer binary on windows 7 client using Add/Remove and later trying to connecting to a VM from User Portal results in a pretty much silent failure

Version-Release number of selected component (if applicable):
rhevm-spice-client-x64-cab-3.1-4.el6

How reproducible:
Always


Steps to Reproduce:
1. Install remove-viewer through rhevm
2. remove virt-viewer using Add/Remove software in windows
3. Try connecting to a VM from User Portal
  
Actual results:
Nothing happens 

Expected results:
a) installer should start
b) user should be notified, that remote-viewer is not installed
Comment 1 Uri Lublin 2012-10-22 04:30:09 EDT
Do you keep internet-explorer running while removing virt-viewer (in 2 and 3) ?
What happens if you don't (close internet-explorer as step 1.5) ?
Anything important in spice-x log file ?
Comment 2 Tomas Jamrisko 2012-10-23 09:15:36 EDT
Yes, IE has to be running while virt-viewer is uninstalled, it locks SpiceX.dll, which doesn't then doesn't get removed. 

It works just fine with IE closed. 

Logs of SpiceX show just that cpicec wasn't found.
Comment 3 Marc-Andre Lureau 2013-05-15 17:27:26 EDT
If the activex would take the "VirtViewerMutex" that would prevent uninstaller from kicking in
Comment 5 Marc-Andre Lureau 2014-02-18 11:55:19 EST
Either use the mutex solution proposed in #3 could work or
 
Perhaps removing /REBOOTOK from nsis script will be enough to inform user that activex uninstall wasn't successfull.

Atm. a reboot should be is easy enough to solve the problem.

The obvious solution is to stop using and supporting activex...
Comment 6 Marc-Andre Lureau 2014-02-18 11:59:59 EST
Tomas, don't you get an error from portal after it calls Connect() ? Isn't that enough to investigate error then from the log?
Comment 7 Tomas Jamrisko 2014-03-07 05:26:06 EST
The portal (3.3) doesn't report any error. Events tab for the VM do not indicate any problem either -- green tick with "user initiated console session". 

The only error that is logged is by spicex:
'1394187322 ERROR [3352:3392] COSpiceX::Connect: Failed to run spicec (C:\WINDOWS\Downloaded Program Files\spicec.exe --controller) -- 2'

I think that an error like that should be somewhat more visible -- at least no green tick in portal...
Comment 8 Marc-Andre Lureau 2014-03-07 06:33:11 EST
(In reply to Tomas Jamrisko from comment #7)
> The portal (3.3) doesn't report any error. Events tab for the VM do not
> indicate any problem either -- green tick with "user initiated console
> session". 
> 
> The only error that is logged is by spicex:
> '1394187322 ERROR [3352:3392] COSpiceX::Connect: Failed to run spicec
> (C:\WINDOWS\Downloaded Program Files\spicec.exe --controller) -- 2'
> 
> I think that an error like that should be somewhat more visible -- at least
> no green tick in portal...

The error is returned from the Connect() method. I think this is a portal issue. Could someone confirm that portal is not catching errors/exceptions of Connect()?
Comment 10 Michal Skrivanek 2014-08-22 08:28:22 EDT
didn't get to it
i'd like to mention again the last line in comment #5 :-)
Comment 11 Michal Skrivanek 2015-09-07 02:32:49 EDT
we're phasing out activex as much as we can, it is still supported, but we won't be able to fix this in 3.6 timeframe, and in the next release we'll hopefully get rid of it - so closing the bug...

Note You need to log in before you can comment on or make changes to this bug.